<div class="menucenter">
<?
include('moneyfortimer.php');
$sql=mysql_query("SELECT * FROM sfb_shopforbux WHERE id='1'");
$wm=mysql_fetch_assoc($sql);
$payfor5 = $wm["5sec"];
$payfor10 = $wm["10sec"];
$payfor15 = $wm["15sec"];

$res=mysql_query("select count(id) as kolvo from tb_ads1 where vip='1'");
$res=mysql_fetch_assoc($res);
$vipmest1=$res["kolvo"];

$res=mysql_query("select count(id) as kolvo from tb_advertisers1 where vip='1'");
$res=mysql_fetch_assoc($res);
$vipmest2=$res["kolvo"];

$vipmest=$vipmest1+$vipmest2;

$res=mysql_query("select price from tb_config1 where item='vipcount'");
$res=mysql_fetch_assoc($res);
$vipcount=$res["price"];


$sql="select price from tb_config1 where item='hits'";
$res=mysql_query($sql);
$dyn=mysql_result($res,0,0);

$sql="select price from tb_config1 where item='hldyn'";
$res=mysql_query($sql);
$hldyn=mysql_result($res,0,0);

$sql="select price from tb_config1 where item='timer5'";
$res=mysql_query($sql);
$timer5=mysql_result($res,0,0);

$sql="select price from tb_config1 where item='dopsec'";
$res=mysql_query($sql);
$ds=mysql_result($res,0,0);

$sql="select price from tb_config1 where item='vipblock'";
$res=mysql_query($sql);
$vipprice=mysql_result($res,0,0);

$sql="select price from tb_config1 where item='captcha'";
$res=mysql_query($sql);
$captcha=mysql_result($res,0,0);

$sql="select price from tb_config1 where item='actwin'";
$res=mysql_query($sql);
$actwin=mysql_result($res,0,0);

$res=mysql_query("select purse, valutaname from tb_site where id='1'");
$pv=mysql_fetch_assoc($res);
$p=$pv["purse"];
$vn=$pv["valutaname"];


if (isset($_POST["system"]))
{
	 if( strtolower($_POST['code'])!= strtolower($_SESSION['logcaptcha']) OR !isset($_SESSION["logcaptcha"]))

	{
		echo "<div class=error>&nbsp;Неверно введен код с картинки... </div>";
		require 'footer.php';
		exit();
	}
unset($_SESSION["logcaptcha"]);

  if($_POST["system"]=="wmid"){
     $wmid=$_POST["wmid"];
	if (is_numeric($wmid)!="true")
	{
		echo "<div class=error>&nbsp;Введено неверное значение в поле WMID</div>";
		require 'footer.php';
		exit();
	}

	if ($wmid==""){echo "<div class=error>Указаны не все параметры</div>"; include('footer.php'); exit();}
   }elseif($_POST["system"]=="liqpay"){
   	 function liq($mensaje)
     {
      if (preg_match("/[0-9]/", $mensaje))
      {
        return $mensaje;
      }else{
        echo "<div class=error>Введенные данные содержат запрещенные символы. Проверьте правильность ввода счета LiqPay</div>";include('footer.php');exit();
      }
     }

     $schet = liq($_POST["schet"]);$wmid ="+".$schet;
     if(!is_numeric($wmid) or strlen($wmid)< 8 or strlen($wmid)> 15 or $wmid==NULL){echo "<div class=error>Неверно введен номер счета LiqPay</div>";include('footer.php');exit();}
   }else{
   	 echo "<div class=error>Заполнены не все поля!!!</div>";include('footer.php');exit();
   }

	$plan=intval($_POST["plan"]);
	if (is_numeric($plan)!="true" or $plan<=0)
	{
		echo "<div class=error>&nbsp;Введено неверное значение в поле 'Количество посещений', оно должно быть числовым!!!</div>";
		require 'footer.php';
		exit();
	}

	$act=intval($_POST["act"]);
	if($act!='0' and $act!='1')
	{
		echo "<div class=error>&nbsp;Введено неверное значение в поле 'Активное окно', оно должно быть числовым!!!</div>";
		require 'footer.php';
		exit();
	}

	$highlight=intval($_POST["highlight"]);
	if ($highlight!=0 and $highlight!=1)
	{
		echo "<div class=error>&nbsp;Ошибка ввода!!!</div>";
		require 'footer.php';
		exit();
	}

    $timer=intval($_POST["timer"]);
    if ($timer<0 or $timer>15)
    {
		echo "<div class=error>&nbsp;Ошибка ввода!!!</div>";
		require 'footer.php';
		exit();
	}
	$timer1=$timer;

	$dopsec=intval($_POST["dopsec"]);
	if ($dopsec!=0 and $dopsec!=1 and $dopsec!=2)
	{
		echo "<div class=error>&nbsp;Ошибка ввода!!!</div>";
		require 'footer.php';
		exit();
	}

	$vip=intval($_POST["vip"]);
	if ($vip!=0 and $vip!=1)
	{
		echo "<div class=error>&nbsp;Ошибка ввода!!!</div>";
		require 'footer.php';
		exit();
	}

	if($vipmest>=$vipcount)
	{
		echo "<div class=error>&nbsp;Свободных мест в МИНИ-рекламе НЕТ!!!</div>";
		require 'footer.php';
		exit();
	}

    $url1=text($_POST["url"]);
	$description=text($_POST["description"]);

	if ($plan==""){echo "<div class=error>Указаны не все параметры</div>"; include('footer.php'); exit();}
	if ($url1==""){echo "<div class=error>Указаны не все параметры</div>"; include('footer.php'); exit();}
	if ($description==""){echo "<div class=error>Указаны не все параметры</div>"; include('footer.php'); exit();}

	if($vipmest>=$vipcount) $vip='1';
        if($timer==5) { $precio=$plan*$dyn5;}
        if($timer==10) { $precio=$plan*$dyn10;}
        if($timer==15) { $precio=$plan*$dyn15;}
	if ($highlight==1) { $precio=$precio+$hldyn; }
	if ($dopsec==1) { $precio=$precio+$ds; }
	if ($dopsec==2) { $precio=$precio+$captcha; }
	if ($act==1) { $precio=$precio+$actwin*$plan; }
	$precio = round($precio,2);

	$sql = "INSERT INTO tb_advertisers1 (pemail, act, plan, url, description, highlight, timer, dopsec, vip,summ) VALUES('$wmid','$act','$plan','$url1','$description','$highlight', '$timer','$dopsec', '$vip', '$precio')";
	mysql_query($sql) or die(mysql_error());

	$res=mysql_query("select id from tb_advertisers1 where pemail='$wmid' order by id desc");
	$res=mysql_fetch_assoc($res);
	$id=$res["id"];


	echo "<fieldset class=good><center>&nbsp;Ваш заказ принят! После оплаты Ваша ссылка будет добавлена автоматически!";

if($_POST["system"]=="wmid"){
echo "<form method=\"POST\" action=\"https://merchant.webmoney.ru/lmi/payment.asp\">
		<input type=\"hidden\" name=\"LMI_PAYMENT_AMOUNT\" value=\"".$precio."\">
		<input type=\"hidden\" name=\"LMI_PAYMENT_DESC\" value=\"Оплата рекламы МИНИ, ".$description.", ".$plan." визитов.\">
		<input type=\"hidden\" name=\"LMI_PAYEE_PURSE\" value=\"".$p."\">
		<input type=\"hidden\" name=\"service\" value=\"advdynlink1\">
		<input type=\"hidden\" name=\"id\" value=\"".$id,"\">
		<input type=\"submit\" value=\"Оплатить ".$precio." ".$vn." WebMoney\">
	</form></center></fieldset>";
}elseif($_POST["system"]=="liqpay"){
$liq=mysql_query("select * from tb_liqpay where id='1'");$ld=mysql_fetch_assoc($liq);

$order = "advdynlink1_".$id; $resurl = $ld['urlok']; $serurl = $ld['urldop']; $merchant_id = $ld['merchid']; $vval = $ld['valuta'];
    $descript = "Oplata mini dinamicheskoi ssilki ".$plan." id:".$id; $urlzap = "https://www.liqpay.com/?do=clickNbuy";

	$xml="<request>
      <version>1.2</version>
      <result_url>$resurl</result_url>
      <server_url>$serurl</server_url>
      <merchant_id>$merchant_id</merchant_id>
      <order_id>$order</order_id>
      <amount>$precio</amount>
      <currency>$vval</currency>
      <description>$descript</description>
      <default_phone></default_phone>
      <pay_way></pay_way>
</request>";

    $signature = $ld['podp'];
	$xml_encoded = base64_encode($xml);
	$lqsignature = base64_encode(sha1($signature.$xml.$signature,1));

echo "<form action=\"".$urlzap."\" method=POST accept-charset=utf-8>
<input type=\"hidden\" name=\"operation_xml\" value=\"".$xml_encoded."\">
<input type=\"hidden\" name=\"signature\" value=\"".$lqsignature."\">
<input type=submit value=\"Оплатить ".$precio." ".$ld['valuta']." LiqPay\">
</form></center></fieldset>
";
}

	require 'footer.php';
	exit();
}
?>
<script language=javascript>
var dyn=<?=$dyn?>;
var hldyn=<?=$hldyn?>;
var t5=<?=$dyn5?>;
var t10=<?=$dyn10?>;
var t15=<?=$dyn15?>;
var ds=<?=$ds?>;
var vipprice=<?=$vipprice?>;
var captcha=<?=$captcha?>;
var act=<?=$actwin ?>;

var celoe;
var drob;
var res;
function okrugl(nums)
{
	celoe=Math.floor(nums);
	drob=(nums-celoe)*100;
	drob=Math.floor(drob);
	if(drob>=10)
	{
		res=celoe+'.'+drob;
	}else{
		res=celoe+'.0'+drob;
	}
	return res;
}

function getZakaz(frm)
{
	frm.summa.value=vipprice*frm.vip.value+frm.highlight.value*hldyn;
  if(frm.timer.value==5) frm.summa.value=frm.summa.value*1+t5*frm.plan.value;
  if(frm.timer.value==10) frm.summa.value=frm.summa.value*1+t10*frm.plan.value;
  if(frm.timer.value==15) frm.summa.value=frm.summa.value*1+t15*frm.plan.value;
	if(frm.dopsec.value==1) frm.summa.value=frm.summa.value*1+ds*1;
	if(frm.dopsec.value==2) frm.summa.value=frm.summa.value*1+captcha*1;
	if(frm.act.value==1) frm.summa.value=frm.summa.value*1+act*frm.plan.value;
	frm.summa.value=okrugl(frm.summa.value)+' руб.';
}
</script>
<div class="menucenter">
<font color='#00bb00'><b><u>Описание:</u></b> </font><br>
Это ссылки с определенным количеством переходов. При достижение заказанных Вами показов ссылка автоматически исчезает.
</div>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<div id="form">
<form name="formzakaz" method="post" action="advertise.php?adv=dyn1">
<input type=hidden name=ask_editcode value=0 />

<thead><tr>
<th align="left" colspan="2"><center>Динамические ссылки МИНИ на Cashid.ru</center></th>
</tr></thead>

<tr>
<td width='50%'><b>Способ оплаты</b></td>
<td class=value>
    <input name="system" value="wmid" onFocus="javascript:lpau('liqpay1')" checked="checked" type="radio">WebMoney
    </td>

</tr></table>
<div id="liqpay1" style="display: block;">
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>
<td width='50%'><b>Ваш WMID:</b></td>
<td class=value><input class=val type="text" size="35" maxlength="12" name="wmid" autocomplete="off" value=""></td>
</tr>
</table></div>
<div id="liqpay2" style="display: none;">
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>
<td width='50%'><b>LiqPay счет:</b></td>
<td class=value><input readonly="readonly" size="25" maxlength="1" value="+" style="color:#357D2B;font-size:14px;width: 10px;" tabindex="1" type="text"><input class=val type="text" size="33" maxlength="13" name="schet" value=""></td>

</tr>
</table></div>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>
<td width='50%'><b>Текст ссылки</b></td>
<td class=value><input class=val type="text" name="description" size="35" maxlength="70" autocomplete="off" class="field" value="" tabindex="2"/></td>

</tr>
<tr>
<td width='50%'><b>URL сайта</b> (включая http://)</td>
<td class=value><input class=val type="text" name="url" size="35" maxlength="150" autocomplete="off" class="field" value="http://" tabindex="3"  /></td>

</tr>
<tr>
<td width='50%'><b>Кол-во показов</b></td>
<td class=value><input class=val name="plan" maxlength="6" type="text" onChange="getZakaz(this.form)" value="0" size="35" maxlength="150" tabindex="4"/></td>

</tr>
<tr>
<td width='50%'><b>Таймер</b></td>
<td class=value>
  <select name="timer" autocomplete="off" onchange="getZakaz(this.form)" tabindex="5" style="width:225px;">
  <option value="5">5 секунд(1 визит - <?=$dyn5  ?> <?=$vn?>)</option>
  <option value="10">10 секунд(1 визит - <?=$dyn10  ?> <?=$vn?>)</option>
  <option value="15">15 секунд(1 визит- <?=$dyn15 ?> <?=$vn?>)</option>
  </select></td></tr>
</td>

</tr>
<tr>
<td width='50%'><b>Выделить красным цветом</b></td>
<td class=value>
<select name="highlight"  autocomplete="off" onChange="getZakaz(this.form)" tabindex="6" style="width:225px;" tooltipText="Введите символы с картинки">
<option value="0">Не выделять</option>
<option value="1">Выделить (+<?=$hldyn ?> <?=$vn ?>)</option>
</select>
</td>

</tr>
<tr>
<td width='50%'><b>Защита от Автокликеров</b></td>
<td class=value>
<select name="dopsec"  autocomplete="off" onChange="getZakaz(this.form)" tabindex="7" style="width:225px;">
<option value="2">Ввод каптчи(БЕСПЛАТНО)</option>
</select>
</td>

</tr>
<tr style='display:none;'>
<td width='50%'><b>Мини реклама</b></td>
<td class=value>
  <select name="vip"  autocomplete="off" onChange="getZakaz(this.form)" tabindex="8" style="width:225px;">
    <option value="1">Да</option>
  </select><? if($vipmest>=$vipcount) echo "<b>Свободных МИНИ-мест нет</b>"; ?>
</td>
</tr>
<tr>
<td width='50%'><b>Активное окно (рекомендуется)</b><br><small>[к 500 просмотрам = +<?=$actwin*500 ?> <?=$vn ?>.]</small></td>
<td class=value>
<select name="act"  autocomplete="off" onChange="getZakaz(this.form)" tabindex="8" style="width:225px;">
<option value="0">Нет</option>
<option value="1">Да</option>
</select>
</td>
</tr>

<tr>
<td width='50%'><b>Введите код</b> <img src="logincap.php" align="absmiddle"></td>
<td class=value>
<input class=val type='text' size='10' maxlength='4' name='code' autocomplete="off" onChange="getZakaz(this.form)" value="">

</td>
</tr>

<tr>
<td width='50%'><b>Сумма вашего заказа</b></td>
<td class="price">
<input class=val type='text' size='10' maxlength='20' readonly='readonly' name='summa' autocomplete="off" value="0.00 руб."/>
</td>

</tr>
<tr>
<td width='50%'><b>Оплата заказа</b></td>
<td class=value>
<input  class="ok_wm" type="submit" value=" Оплатить Заказ " class="submit" tabindex="10" />
</td>

</tr>
</tbody>
</table>
</form>
<center><br><br><font color=#ff0000>*</font> - На указанный WMID мы Вас проинформируем об окончание просмотра ссылки.</center>
</div>

